createIntegration
POST /v5/books/{bookId}/integrations
POST
/v5/books/{bookId}/integrations
Create an integration
Authorizations
Parameters
Path Parameters
bookId
required
string
The id of the book. Same bookId url param on Bkper
Request Body
object
addedBy
string
agentId
The id of agent that created the resource
string
bookId
string
connectionId
string
createdAt
The creation timestamp, in milliseconds
string
dateAddedMs
string
id
string
lastUpdateMs
string
logo
string
logoDark
string
name
string
normalizedName
string
properties
object
key
additional properties
string
updatedAt
The last update timestamp, in milliseconds
string
userId
string
Responses
200
A Integration response
object
addedBy
string
agentId
The id of agent that created the resource
string
bookId
string
connectionId
string
createdAt
The creation timestamp, in milliseconds
string
dateAddedMs
string
id
string
lastUpdateMs
string
logo
string
logoDark
string
name
string
normalizedName
string
properties
object
key
additional properties
string
updatedAt
The last update timestamp, in milliseconds
string
userId
string
Examples
{ "addedBy": "string", "agentId": "string", "bookId": "string", "connectionId": "string", "createdAt": "1592000000000", "dateAddedMs": "string", "id": "string", "lastUpdateMs": "string", "logo": "string", "logoDark": "string", "name": "string", "normalizedName": "string", "properties": { "key": "value" }, "updatedAt": "1592000000000", "userId": "string"}default
An error response from the Bkper API or its public API proxy.
A JSON error response. API operation errors use the nested error object. Public API proxy errors use the Problem Details fields.
object
error
object
errors
Array<object>
object
domain
string
reason
string
message
string
code
required
integer format: int32
message
required
string
type
string
title
string
status
integer format: int32
detail
string
instance
string
code
string